com.creamtec.ajaxswing.gui.peer

## Class AjaxSwingMenuPeer

- java.lang.Object
- - com.creamtec.ajaxswing.gui.peer.AjaxSwingMenuPeer

- All Implemented Interfaces:
    java.awt.peer.CheckboxMenuItemPeer, java.awt.peer.MenuBarPeer, java.awt.peer.MenuComponentPeer, java.awt.peer.MenuItemPeer, java.awt.peer.MenuPeer, java.awt.peer.PopupMenuPeer

      public class AjaxSwingMenuPeer
      extends java.lang.Object
      implements java.awt.peer.MenuPeer, java.awt.peer.MenuBarPeer, java.awt.peer.PopupMenuPeer, java.awt.peer.CheckboxMenuItemPeer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingMenuPeer(java.awt.MenuComponent target)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHelpMenu(java.awt.Menu m)`
    `void` | `addItem(java.awt.MenuItem item)`
    `void` | `addMenu(java.awt.Menu m)`
    `void` | `addSeparator()`
    `void` | `delItem(int index)`
    `void` | `delMenu(int index)`
    `void` | `disable()`
    `void` | `dispose()`
    `void` | `enable()`
    `void` | `setEnabled(boolean b)`
    `void` | `setFont(java.awt.Font font)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setState(boolean t)`
    `void` | `show(java.awt.Event e)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingMenuPeer

          public AjaxSwingMenuPeer(java.awt.MenuComponent target)

  - ### Method Detail

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `java.awt.peer.MenuComponentPeer`

    - #### setLabel

          public void setLabel(java.lang.String label)

      Specified by:
        `setLabel` in interface `java.awt.peer.MenuItemPeer`

    - #### setEnabled

          public void setEnabled(boolean b)

      Specified by:
        `setEnabled` in interface `java.awt.peer.MenuItemPeer`

    - #### enable

          public void enable()

    - #### disable

          public void disable()

    - #### setState

          public void setState(boolean t)

      Specified by:
        `setState` in interface `java.awt.peer.CheckboxMenuItemPeer`

    - #### addSeparator

          public void addSeparator()

      Specified by:
        `addSeparator` in interface `java.awt.peer.MenuPeer`

    - #### addItem

          public void addItem(java.awt.MenuItem item)

      Specified by:
        `addItem` in interface `java.awt.peer.MenuPeer`

    - #### delItem

          public void delItem(int index)

      Specified by:
        `delItem` in interface `java.awt.peer.MenuPeer`

    - #### show

          public void show(java.awt.Event e)

      Specified by:
        `show` in interface `java.awt.peer.PopupMenuPeer`

    - #### addMenu

          public void addMenu(java.awt.Menu m)

      Specified by:
        `addMenu` in interface `java.awt.peer.MenuBarPeer`

    - #### delMenu

          public void delMenu(int index)

      Specified by:
        `delMenu` in interface `java.awt.peer.MenuBarPeer`

    - #### addHelpMenu

          public void addHelpMenu(java.awt.Menu m)

      Specified by:
        `addHelpMenu` in interface `java.awt.peer.MenuBarPeer`

    - #### setFont

          public void setFont(java.awt.Font font)

      Specified by:
        `setFont` in interface `java.awt.peer.MenuComponentPeer`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.